import pygame, sys, time, random
from pygame.locals import *

number=raw_input('number?')

template=[]
for i in range(32):
	template.append([])
	for j in range(32):
		template[i].append(' ')
	
window=pygame.display.set_mode((512,512))

images=[]
image=pygame.image.load('data/images/levels/0.png')
image.set_colorkey((255,255,255))
images.append(image)
for i in range(1,10):
	image=pygame.image.load('data/images/levels/'+str(i)+'.png')
	image.set_colorkey((255,255,255))
	images.append(image)
	
current_tile=0
	
def save():
	f=file('data/templates/'+str(number)+'.txt','w')
	string=''
	for i in template:
		for j in i:
			string+=str(j)
	f.write(string)
	f.close()
	
	quit()

while True:
	for event in pygame.event.get():
		if event.type==QUIT:
			save()
	
		if event.type==KEYUP:
			if event.key==K_ESCAPE:
				save()		
				
		if event.type==KEYDOWN:
			try:
				current_tile=int(chr(event.key))
			except:
				if event.key==K_BACKSPACE:
					current_tile=' '
				
		if event.type==MOUSEBUTTONDOWN:
			template[event.pos[0]/16][event.pos[1]/16]=current_tile
	
	window.fill((0,0,0))		
					
	for i in range(len(template)):
		for j in range(len(template[i])):
			if template[i][j]!=' ':
				window.blit(images[template[i][j]],(i*16,j*16))
	
	if current_tile!=' ':			
		window.blit(images[current_tile],(pygame.mouse.get_pos()[0]-pygame.mouse.get_pos()[0]%16,pygame.mouse.get_pos()[1]-pygame.mouse.get_pos()[1]%16))
	
	pygame.display.update()